Loading...
Searching...
No Matches
wimlib_progress_info::wimlib_progress_info_integrity Struct Reference

Valid on messages WIMLIB_PROGRESS_MSG_VERIFY_INTEGRITY and WIMLIB_PROGRESS_MSG_CALC_INTEGRITY. More...

`#include <wimlib.h>`

## Data Fields

uint64_t | total_bytes
| The number of bytes in the WIM file that are covered by integrity checks.
uint64_t | completed_bytes
| The number of bytes that have been checksummed so far.
uint32_t | total_chunks
| The number of individually checksummed "chunks" the integrity-checked region is divided into.
uint32_t | completed_chunks
| The number of chunks that have been checksummed so far.
uint32_t | chunk_size
| The size of each individually checksummed "chunk" in the integrity-checked region.
const wimlib_tchar * | filename
| For WIMLIB_PROGRESS_MSG_VERIFY_INTEGRITY messages, this is the path to the WIM file being checked.

## Detailed Description

Valid on messages WIMLIB_PROGRESS_MSG_VERIFY_INTEGRITY and WIMLIB_PROGRESS_MSG_CALC_INTEGRITY.

## Field Documentation

## total_bytes

uint64_t wimlib_progress_info::wimlib_progress_info_integrity::total_bytes

The number of bytes in the WIM file that are covered by integrity checks.

## completed_bytes

uint64_t wimlib_progress_info::wimlib_progress_info_integrity::completed_bytes

The number of bytes that have been checksummed so far.

This starts at 0 and ends at `total_bytes`.

## total_chunks

uint32_t wimlib_progress_info::wimlib_progress_info_integrity::total_chunks

The number of individually checksummed "chunks" the integrity-checked region is divided into.

## completed_chunks

uint32_t wimlib_progress_info::wimlib_progress_info_integrity::completed_chunks

The number of chunks that have been checksummed so far.

This starts at 0 and ends at `total_chunks`.

## chunk_size

uint32_t wimlib_progress_info::wimlib_progress_info_integrity::chunk_size

The size of each individually checksummed "chunk" in the integrity-checked region.

## filename

const wimlib_tchar* wimlib_progress_info::wimlib_progress_info_integrity::filename

For WIMLIB_PROGRESS_MSG_VERIFY_INTEGRITY messages, this is the path to the WIM file being checked.

The documentation for this struct was generated from the following file:

- wimlib.h